- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.integrationInstances/fetchDefaultInstance#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.integrationInstances/fetchDefaultInstance#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.integrationInstances/fetchDefaultInstance#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.integrationInstances/fetchDefaultInstance#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.integrationInstances/fetchDefaultInstance#body.FetchDefaultIntegrationInstanceResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.integrationInstances/fetchDefaultInstance#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.integrationInstances/fetchDefaultInstance#body.aspect_1)

**Full name**: projects.locations.instances.integrations.integrationInstances.fetchDefaultInstance

Returns the system default configuration for a specific integration. Use this method to retrieve the baseline integration instance details provided for a commercial product.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/integrationInstances:fetchDefaultInstance`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The integration instance to fetch the default instance for. Format: projects/{project}/locations/{location}/instances/{instance}/integrations/{integration}/integrationInstances:fetchDefaultInstance |

### Request body

The request body must be empty.

### Response body

Response message for FetchDefaultInstance.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "instance": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.integrationInstances#IntegrationInstance`) } } ``` |

| Fields ||
|---|---|
| `instance` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.integrationInstances#IntegrationInstance`)`` Output only. The integration default instance. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.integrationInstances.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).